Ruby: regsyntax.c File Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Functions | Variables
regsyntax.c File Reference
`#include "regint.h"`

Go to the source code of this file.

## Functions
int | onig_set_default_syntax (const OnigSyntaxType *syntax)
void | onig_copy_syntax (OnigSyntaxType *to, const OnigSyntaxType *from)
void | onig_set_syntax_op (OnigSyntaxType *syntax, unsigned int op)
void | onig_set_syntax_op2 (OnigSyntaxType *syntax, unsigned int op2)
void | onig_set_syntax_behavior (OnigSyntaxType *syntax, unsigned int behavior)
void | onig_set_syntax_options (OnigSyntaxType *syntax, OnigOptionType options)
unsigned int | onig_get_syntax_op (const OnigSyntaxType *syntax)
unsigned int | onig_get_syntax_op2 (const OnigSyntaxType *syntax)
unsigned int | onig_get_syntax_behavior (const OnigSyntaxType *syntax)
OnigOptionType | onig_get_syntax_options (const OnigSyntaxType *syntax)
int | onig_set_meta_char (OnigSyntaxType *enc, unsigned int what, OnigCodePoint code)

## Variables
const OnigSyntaxType | OnigSyntaxASIS
const OnigSyntaxType | OnigSyntaxPosixBasic
const OnigSyntaxType | OnigSyntaxPosixExtended
const OnigSyntaxType | OnigSyntaxEmacs
const OnigSyntaxType | OnigSyntaxGrep
const OnigSyntaxType | OnigSyntaxGnuRegex
const OnigSyntaxType | OnigSyntaxJava
const OnigSyntaxType | OnigSyntaxPerl58
const OnigSyntaxType | OnigSyntaxPerl58_NG
const OnigSyntaxType | OnigSyntaxPerl
const OnigSyntaxType | OnigSyntaxPython

## Function Documentation

## ◆ onig_copy_syntax()

void onig_copy_syntax | ( | OnigSyntaxType * | to,
|  | const OnigSyntaxType * | from
| ) |  |

Definition at line 306 of file regsyntax.c.

## ◆ onig_get_syntax_behavior()

unsigned int onig_get_syntax_behavior | ( | const OnigSyntaxType * | syntax | ) |

Definition at line 348 of file regsyntax.c.

References OnigSyntaxType::behavior.

## ◆ onig_get_syntax_op()

unsigned int onig_get_syntax_op | ( | const OnigSyntaxType * | syntax | ) |

Definition at line 336 of file regsyntax.c.

References OnigSyntaxType::op.

## ◆ onig_get_syntax_op2()

unsigned int onig_get_syntax_op2 | ( | const OnigSyntaxType * | syntax | ) |

Definition at line 342 of file regsyntax.c.

References OnigSyntaxType::op2.

## ◆ onig_get_syntax_options()

OnigOptionType onig_get_syntax_options | ( | const OnigSyntaxType * | syntax | ) |

Definition at line 354 of file regsyntax.c.

References OnigSyntaxType::options.

## ◆ onig_set_default_syntax()

int onig_set_default_syntax | ( | const OnigSyntaxType * | syntax | ) |

Definition at line 296 of file regsyntax.c.

References IS_NULL, ONIG_SYNTAX_RUBY, and OnigDefaultSyntax.

## ◆ onig_set_meta_char()

int onig_set_meta_char | ( | OnigSyntaxType * | enc,
|  | unsigned int | what,
|  | OnigCodePoint | code
| ) |  |

Definition at line 360 of file regsyntax.c.

References OnigMetaCharTableType::anychar, OnigMetaCharTableType::anychar_anytime, OnigMetaCharTableType::anytime, OnigMetaCharTableType::esc, OnigSyntaxType::meta_char_table, OnigMetaCharTableType::one_or_more_time, ONIG_META_CHAR_ANYCHAR, ONIG_META_CHAR_ANYCHAR_ANYTIME, ONIG_META_CHAR_ANYTIME, ONIG_META_CHAR_ESCAPE, ONIG_META_CHAR_ONE_OR_MORE_TIME, ONIG_META_CHAR_ZERO_OR_ONE_TIME, ONIGERR_INVALID_ARGUMENT, and OnigMetaCharTableType::zero_or_one_time.

## ◆ onig_set_syntax_behavior()

void onig_set_syntax_behavior | ( | OnigSyntaxType * | syntax,
|  | unsigned int | behavior
| ) |  |

Definition at line 324 of file regsyntax.c.

References OnigSyntaxType::behavior.

## ◆ onig_set_syntax_op()

void onig_set_syntax_op | ( | OnigSyntaxType * | syntax,
|  | unsigned int | op
| ) |  |

Definition at line 312 of file regsyntax.c.

References OnigSyntaxType::op.

## ◆ onig_set_syntax_op2()

void onig_set_syntax_op2 | ( | OnigSyntaxType * | syntax,
|  | unsigned int | op2
| ) |  |

Definition at line 318 of file regsyntax.c.

References OnigSyntaxType::op2.

## ◆ onig_set_syntax_options()

void onig_set_syntax_options | ( | OnigSyntaxType * | syntax,
|  | OnigOptionType | options
| ) |  |

Definition at line 330 of file regsyntax.c.

References OnigSyntaxType::options.

## Variable Documentation

## ◆ OnigSyntaxASIS

const OnigSyntaxType OnigSyntaxASIS

Initial value:
= {
0
, ONIG_SYN_OP2_INEFFECTIVE_ESCAPE
, 0
, ONIG_OPTION_NONE
,
{
(OnigCodePoint )'\\'
, (OnigCodePoint )ONIG_INEFFECTIVE_META_CHAR
, (OnigCodePoint )ONIG_INEFFECTIVE_META_CHAR
, (OnigCodePoint )ONIG_INEFFECTIVE_META_CHAR
, (OnigCodePoint )ONIG_INEFFECTIVE_META_CHAR
, (OnigCodePoint )ONIG_INEFFECTIVE_META_CHAR
}
}
ONIG_INEFFECTIVE_META_CHAR
#define ONIG_INEFFECTIVE_META_CHAR
Definition: onigmo.h:619
ONIG_SYN_OP2_INEFFECTIVE_ESCAPE
#define ONIG_SYN_OP2_INEFFECTIVE_ESCAPE
Definition: onigmo.h:572
OnigCodePoint
unsigned int OnigCodePoint
Definition: onigmo.h:80
ONIG_OPTION_NONE
#define ONIG_OPTION_NONE
Definition: onigmo.h:450

Definition at line 33 of file regsyntax.c.

## ◆ OnigSyntaxEmacs

const OnigSyntaxType OnigSyntaxEmacs

Initial value:
= {
( ONIG_SYN_OP_DOT_ANYCHAR | ONIG_SYN_OP_BRACKET_CC |
ONIG_SYN_OP_ESC_BRACE_INTERVAL |
ONIG_SYN_OP_ESC_LPAREN_SUBEXP | ONIG_SYN_OP_ESC_VBAR_ALT |
ONIG_SYN_OP_ASTERISK_ZERO_INF | ONIG_SYN_OP_PLUS_ONE_INF |
ONIG_SYN_OP_QMARK_ZERO_ONE | ONIG_SYN_OP_DECIMAL_BACKREF |
ONIG_SYN_OP_LINE_ANCHOR | ONIG_SYN_OP_ESC_CONTROL_CHARS )
, ONIG_SYN_OP2_ESC_GNU_BUF_ANCHOR
, ONIG_SYN_ALLOW_EMPTY_RANGE_IN_CC
, ONIG_OPTION_NONE
,
{
(OnigCodePoint )'\\'
, (OnigCodePoint )ONIG_INEFFECTIVE_META_CHAR
, (OnigCodePoint )ONIG_INEFFECTIVE_META_CHAR
, (OnigCodePoint )ONIG_INEFFECTIVE_META_CHAR
, (OnigCodePoint )ONIG_INEFFECTIVE_META_CHAR
, (OnigCodePoint )ONIG_INEFFECTIVE_META_CHAR
}
}
ONIG_SYN_OP_ASTERISK_ZERO_INF
#define ONIG_SYN_OP_ASTERISK_ZERO_INF
Definition: onigmo.h:521
ONIG_SYN_OP_BRACKET_CC
#define ONIG_SYN_OP_BRACKET_CC
Definition: onigmo.h:536
ONIG_SYN_OP_ESC_VBAR_ALT
#define ONIG_SYN_OP_ESC_VBAR_ALT
Definition: onigmo.h:530
ONIG_SYN_OP2_ESC_GNU_BUF_ANCHOR
#define ONIG_SYN_OP2_ESC_GNU_BUF_ANCHOR
Definition: onigmo.h:567
ONIG_SYN_OP_ESC_LPAREN_SUBEXP
#define ONIG_SYN_OP_ESC_LPAREN_SUBEXP
Definition: onigmo.h:532
ONIG_SYN_OP_ESC_BRACE_INTERVAL
#define ONIG_SYN_OP_ESC_BRACE_INTERVAL
Definition: onigmo.h:528
ONIG_SYN_OP_DECIMAL_BACKREF
#define ONIG_SYN_OP_DECIMAL_BACKREF
Definition: onigmo.h:535
ONIG_SYN_OP_LINE_ANCHOR
#define ONIG_SYN_OP_LINE_ANCHOR
Definition: onigmo.h:542
ONIG_SYN_OP_PLUS_ONE_INF
#define ONIG_SYN_OP_PLUS_ONE_INF
Definition: onigmo.h:523
ONIG_SYN_OP_DOT_ANYCHAR
#define ONIG_SYN_OP_DOT_ANYCHAR
Definition: onigmo.h:520
ONIG_SYN_OP_ESC_CONTROL_CHARS
#define ONIG_SYN_OP_ESC_CONTROL_CHARS
Definition: onigmo.h:545
ONIG_SYN_OP_QMARK_ZERO_ONE
#define ONIG_SYN_OP_QMARK_ZERO_ONE
Definition: onigmo.h:525
ONIG_SYN_ALLOW_EMPTY_RANGE_IN_CC
#define ONIG_SYN_ALLOW_EMPTY_RANGE_IN_CC
Definition: onigmo.h:604

Definition at line 87 of file regsyntax.c.

## ◆ OnigSyntaxGnuRegex

const OnigSyntaxType OnigSyntaxGnuRegex

Initial value:
= {
SYN_GNU_REGEX_OP
, 0
, SYN_GNU_REGEX_BV
, ONIG_OPTION_NONE
,
{
(OnigCodePoint )'\\'
, (OnigCodePoint )ONIG_INEFFECTIVE_META_CHAR
, (OnigCodePoint )ONIG_INEFFECTIVE_META_CHAR
, (OnigCodePoint )ONIG_INEFFECTIVE_META_CHAR
, (OnigCodePoint )ONIG_INEFFECTIVE_META_CHAR
, (OnigCodePoint )ONIG_INEFFECTIVE_META_CHAR
}
}
SYN_GNU_REGEX_OP
#define SYN_GNU_REGEX_OP
Definition: regint.h:767
SYN_GNU_REGEX_BV
#define SYN_GNU_REGEX_BV
Definition: regint.h:780

Definition at line 130 of file regsyntax.c.

## ◆ OnigSyntaxGrep

const OnigSyntaxType OnigSyntaxGrep

Initial value:
= {
( ONIG_SYN_OP_DOT_ANYCHAR | ONIG_SYN_OP_BRACKET_CC | ONIG_SYN_OP_POSIX_BRACKET |
ONIG_SYN_OP_ESC_BRACE_INTERVAL | ONIG_SYN_OP_ESC_LPAREN_SUBEXP |
ONIG_SYN_OP_ESC_VBAR_ALT |
ONIG_SYN_OP_ASTERISK_ZERO_INF | ONIG_SYN_OP_ESC_PLUS_ONE_INF |
ONIG_SYN_OP_ESC_QMARK_ZERO_ONE | ONIG_SYN_OP_LINE_ANCHOR |
ONIG_SYN_OP_ESC_W_WORD | ONIG_SYN_OP_ESC_B_WORD_BOUND |
ONIG_SYN_OP_ESC_LTGT_WORD_BEGIN_END | ONIG_SYN_OP_DECIMAL_BACKREF )
, 0
, ( ONIG_SYN_ALLOW_EMPTY_RANGE_IN_CC | ONIG_SYN_NOT_NEWLINE_IN_NEGATIVE_CC )
, ONIG_OPTION_NONE
,
{
(OnigCodePoint )'\\'
, (OnigCodePoint )ONIG_INEFFECTIVE_META_CHAR
, (OnigCodePoint )ONIG_INEFFECTIVE_META_CHAR
, (OnigCodePoint )ONIG_INEFFECTIVE_META_CHAR
, (OnigCodePoint )ONIG_INEFFECTIVE_META_CHAR
, (OnigCodePoint )ONIG_INEFFECTIVE_META_CHAR
}
}
ONIG_SYN_OP_ESC_LTGT_WORD_BEGIN_END
#define ONIG_SYN_OP_ESC_LTGT_WORD_BEGIN_END
Definition: onigmo.h:538
ONIG_SYN_OP_ESC_B_WORD_BOUND
#define ONIG_SYN_OP_ESC_B_WORD_BOUND
Definition: onigmo.h:539
ONIG_SYN_OP_ESC_W_WORD
#define ONIG_SYN_OP_ESC_W_WORD
Definition: onigmo.h:537
ONIG_SYN_OP_ESC_QMARK_ZERO_ONE
#define ONIG_SYN_OP_ESC_QMARK_ZERO_ONE
Definition: onigmo.h:526
ONIG_SYN_OP_POSIX_BRACKET
#define ONIG_SYN_OP_POSIX_BRACKET
Definition: onigmo.h:543
ONIG_SYN_OP_ESC_PLUS_ONE_INF
#define ONIG_SYN_OP_ESC_PLUS_ONE_INF
Definition: onigmo.h:524
ONIG_SYN_NOT_NEWLINE_IN_NEGATIVE_CC
#define ONIG_SYN_NOT_NEWLINE_IN_NEGATIVE_CC
Definition: onigmo.h:602

Definition at line 108 of file regsyntax.c.

## ◆ OnigSyntaxJava

const OnigSyntaxType OnigSyntaxJava

Initial value:
= {
(( SYN_GNU_REGEX_OP | ONIG_SYN_OP_QMARK_NON_GREEDY |
ONIG_SYN_OP_ESC_CONTROL_CHARS | ONIG_SYN_OP_ESC_C_CONTROL |
ONIG_SYN_OP_ESC_OCTAL3 | ONIG_SYN_OP_ESC_X_HEX2 )
& ~ONIG_SYN_OP_ESC_LTGT_WORD_BEGIN_END )
, ( ONIG_SYN_OP2_ESC_CAPITAL_Q_QUOTE | ONIG_SYN_OP2_QMARK_GROUP_EFFECT |
ONIG_SYN_OP2_OPTION_PERL | ONIG_SYN_OP2_PLUS_POSSESSIVE_REPEAT |
ONIG_SYN_OP2_PLUS_POSSESSIVE_INTERVAL | ONIG_SYN_OP2_CCLASS_SET_OP |
ONIG_SYN_OP2_ESC_V_VTAB | ONIG_SYN_OP2_ESC_U_HEX4 |
ONIG_SYN_OP2_ESC_P_BRACE_CHAR_PROPERTY )
, ( SYN_GNU_REGEX_BV | ONIG_SYN_DIFFERENT_LEN_ALT_LOOK_BEHIND )
, ( ONIG_OPTION_SINGLELINE | ONIG_OPTION_ASCII_RANGE |
ONIG_OPTION_WORD_BOUND_ALL_RANGE )
,
{
(OnigCodePoint )'\\'
, (OnigCodePoint )ONIG_INEFFECTIVE_META_CHAR
, (OnigCodePoint )ONIG_INEFFECTIVE_META_CHAR
, (OnigCodePoint )ONIG_INEFFECTIVE_META_CHAR
, (OnigCodePoint )ONIG_INEFFECTIVE_META_CHAR
, (OnigCodePoint )ONIG_INEFFECTIVE_META_CHAR
}
}
ONIG_SYN_OP_ESC_C_CONTROL
#define ONIG_SYN_OP_ESC_C_CONTROL
Definition: onigmo.h:546
ONIG_SYN_OP2_ESC_CAPITAL_Q_QUOTE
#define ONIG_SYN_OP2_ESC_CAPITAL_Q_QUOTE
Definition: onigmo.h:552
ONIG_SYN_OP2_QMARK_GROUP_EFFECT
#define ONIG_SYN_OP2_QMARK_GROUP_EFFECT
Definition: onigmo.h:553
ONIG_SYN_OP_QMARK_NON_GREEDY
#define ONIG_SYN_OP_QMARK_NON_GREEDY
Definition: onigmo.h:544
ONIG_SYN_OP2_OPTION_PERL
#define ONIG_SYN_OP2_OPTION_PERL
Definition: onigmo.h:554
ONIG_SYN_OP2_ESC_P_BRACE_CHAR_PROPERTY
#define ONIG_SYN_OP2_ESC_P_BRACE_CHAR_PROPERTY
Definition: onigmo.h:568
ONIG_SYN_OP2_PLUS_POSSESSIVE_INTERVAL
#define ONIG_SYN_OP2_PLUS_POSSESSIVE_INTERVAL
Definition: onigmo.h:557
ONIG_OPTION_ASCII_RANGE
#define ONIG_OPTION_ASCII_RANGE
Definition: onigmo.h:467
ONIG_SYN_OP2_ESC_V_VTAB
#define ONIG_SYN_OP2_ESC_V_VTAB
Definition: onigmo.h:565
ONIG_SYN_OP_ESC_OCTAL3
#define ONIG_SYN_OP_ESC_OCTAL3
Definition: onigmo.h:547
ONIG_SYN_OP2_PLUS_POSSESSIVE_REPEAT
#define ONIG_SYN_OP2_PLUS_POSSESSIVE_REPEAT
Definition: onigmo.h:556
ONIG_SYN_OP2_CCLASS_SET_OP
#define ONIG_SYN_OP2_CCLASS_SET_OP
Definition: onigmo.h:558
ONIG_SYN_DIFFERENT_LEN_ALT_LOOK_BEHIND
#define ONIG_SYN_DIFFERENT_LEN_ALT_LOOK_BEHIND
Definition: onigmo.h:594
ONIG_SYN_OP2_ESC_U_HEX4
#define ONIG_SYN_OP2_ESC_U_HEX4
Definition: onigmo.h:566
ONIG_OPTION_WORD_BOUND_ALL_RANGE
#define ONIG_OPTION_WORD_BOUND_ALL_RANGE
Definition: onigmo.h:469
ONIG_SYN_OP_ESC_X_HEX2
#define ONIG_SYN_OP_ESC_X_HEX2
Definition: onigmo.h:548
ONIG_OPTION_SINGLELINE
#define ONIG_OPTION_SINGLELINE
Definition: onigmo.h:455

Definition at line 146 of file regsyntax.c.

## ◆ OnigSyntaxPerl

const OnigSyntaxType OnigSyntaxPerl

Definition at line 228 of file regsyntax.c.

## ◆ OnigSyntaxPerl58

const OnigSyntaxType OnigSyntaxPerl58

Initial value:
= {
(( SYN_GNU_REGEX_OP | ONIG_SYN_OP_QMARK_NON_GREEDY |
ONIG_SYN_OP_ESC_OCTAL3 | ONIG_SYN_OP_ESC_X_HEX2 |
ONIG_SYN_OP_ESC_X_BRACE_HEX8 | ONIG_SYN_OP_ESC_CONTROL_CHARS |
ONIG_SYN_OP_ESC_C_CONTROL )
& ~ONIG_SYN_OP_ESC_LTGT_WORD_BEGIN_END )
, ( ONIG_SYN_OP2_ESC_CAPITAL_Q_QUOTE |
ONIG_SYN_OP2_QMARK_GROUP_EFFECT | ONIG_SYN_OP2_OPTION_PERL |
ONIG_SYN_OP2_ESC_P_BRACE_CHAR_PROPERTY |
ONIG_SYN_OP2_ESC_P_BRACE_CIRCUMFLEX_NOT |
ONIG_SYN_OP2_ESC_CAPITAL_X_EXTENDED_GRAPHEME_CLUSTER |
ONIG_SYN_OP2_QMARK_LPAREN_CONDITION)
, SYN_GNU_REGEX_BV
, ONIG_OPTION_SINGLELINE
,
{
(OnigCodePoint )'\\'
, (OnigCodePoint )ONIG_INEFFECTIVE_META_CHAR
, (OnigCodePoint )ONIG_INEFFECTIVE_META_CHAR
, (OnigCodePoint )ONIG_INEFFECTIVE_META_CHAR
, (OnigCodePoint )ONIG_INEFFECTIVE_META_CHAR
, (OnigCodePoint )ONIG_INEFFECTIVE_META_CHAR
}
}
ONIG_SYN_OP2_ESC_P_BRACE_CIRCUMFLEX_NOT
#define ONIG_SYN_OP2_ESC_P_BRACE_CIRCUMFLEX_NOT
Definition: onigmo.h:569
ONIG_SYN_OP2_QMARK_LPAREN_CONDITION
#define ONIG_SYN_OP2_QMARK_LPAREN_CONDITION
Definition: onigmo.h:581
ONIG_SYN_OP_ESC_X_BRACE_HEX8
#define ONIG_SYN_OP_ESC_X_BRACE_HEX8
Definition: onigmo.h:549
ONIG_SYN_OP2_ESC_CAPITAL_X_EXTENDED_GRAPHEME_CLUSTER
#define ONIG_SYN_OP2_ESC_CAPITAL_X_EXTENDED_GRAPHEME_CLUSTER
Definition: onigmo.h:574

Definition at line 171 of file regsyntax.c.

## ◆ OnigSyntaxPerl58_NG

const OnigSyntaxType OnigSyntaxPerl58_NG

Initial value:
= {
(( SYN_GNU_REGEX_OP | ONIG_SYN_OP_QMARK_NON_GREEDY |
ONIG_SYN_OP_ESC_OCTAL3 | ONIG_SYN_OP_ESC_X_HEX2 |
ONIG_SYN_OP_ESC_X_BRACE_HEX8 | ONIG_SYN_OP_ESC_CONTROL_CHARS |
ONIG_SYN_OP_ESC_C_CONTROL )
& ~ONIG_SYN_OP_ESC_LTGT_WORD_BEGIN_END )
, ( ONIG_SYN_OP2_ESC_CAPITAL_Q_QUOTE |
ONIG_SYN_OP2_QMARK_GROUP_EFFECT | ONIG_SYN_OP2_OPTION_PERL |
ONIG_SYN_OP2_ESC_P_BRACE_CHAR_PROPERTY |
ONIG_SYN_OP2_ESC_P_BRACE_CIRCUMFLEX_NOT |
ONIG_SYN_OP2_ESC_CAPITAL_X_EXTENDED_GRAPHEME_CLUSTER |
ONIG_SYN_OP2_QMARK_LPAREN_CONDITION |
ONIG_SYN_OP2_QMARK_LT_NAMED_GROUP |
ONIG_SYN_OP2_ESC_K_NAMED_BACKREF |
ONIG_SYN_OP2_ESC_G_SUBEXP_CALL )
, ( SYN_GNU_REGEX_BV |
ONIG_SYN_CAPTURE_ONLY_NAMED_GROUP |
ONIG_SYN_ALLOW_MULTIPLEX_DEFINITION_NAME )
, ONIG_OPTION_SINGLELINE
,
{
(OnigCodePoint )'\\'
, (OnigCodePoint )ONIG_INEFFECTIVE_META_CHAR
, (OnigCodePoint )ONIG_INEFFECTIVE_META_CHAR
, (OnigCodePoint )ONIG_INEFFECTIVE_META_CHAR
, (OnigCodePoint )ONIG_INEFFECTIVE_META_CHAR
, (OnigCodePoint )ONIG_INEFFECTIVE_META_CHAR
}
}
ONIG_SYN_ALLOW_MULTIPLEX_DEFINITION_NAME
#define ONIG_SYN_ALLOW_MULTIPLEX_DEFINITION_NAME
Definition: onigmo.h:596
ONIG_SYN_OP2_QMARK_LT_NAMED_GROUP
#define ONIG_SYN_OP2_QMARK_LT_NAMED_GROUP
Definition: onigmo.h:559
ONIG_SYN_CAPTURE_ONLY_NAMED_GROUP
#define ONIG_SYN_CAPTURE_ONLY_NAMED_GROUP
Definition: onigmo.h:595
ONIG_SYN_OP2_ESC_K_NAMED_BACKREF
#define ONIG_SYN_OP2_ESC_K_NAMED_BACKREF
Definition: onigmo.h:560
ONIG_SYN_OP2_ESC_G_SUBEXP_CALL
#define ONIG_SYN_OP2_ESC_G_SUBEXP_CALL
Definition: onigmo.h:561

Definition at line 197 of file regsyntax.c.

## ◆ OnigSyntaxPosixBasic

const OnigSyntaxType OnigSyntaxPosixBasic

Initial value:
= {
( SYN_POSIX_COMMON_OP | ONIG_SYN_OP_ESC_LPAREN_SUBEXP |
ONIG_SYN_OP_ESC_BRACE_INTERVAL )
, 0
, 0
, ( ONIG_OPTION_SINGLELINE | ONIG_OPTION_MULTILINE )
,
{
(OnigCodePoint )'\\'
, (OnigCodePoint )ONIG_INEFFECTIVE_META_CHAR
, (OnigCodePoint )ONIG_INEFFECTIVE_META_CHAR
, (OnigCodePoint )ONIG_INEFFECTIVE_META_CHAR
, (OnigCodePoint )ONIG_INEFFECTIVE_META_CHAR
, (OnigCodePoint )ONIG_INEFFECTIVE_META_CHAR
}
}
ONIG_OPTION_MULTILINE
#define ONIG_OPTION_MULTILINE
Definition: onigmo.h:453
SYN_POSIX_COMMON_OP
#define SYN_POSIX_COMMON_OP
Definition: regint.h:760

Definition at line 49 of file regsyntax.c.

## ◆ OnigSyntaxPosixExtended

const OnigSyntaxType OnigSyntaxPosixExtended

Initial value:
= {
( SYN_POSIX_COMMON_OP | ONIG_SYN_OP_LPAREN_SUBEXP |
ONIG_SYN_OP_BRACE_INTERVAL |
ONIG_SYN_OP_PLUS_ONE_INF | ONIG_SYN_OP_QMARK_ZERO_ONE | ONIG_SYN_OP_VBAR_ALT )
, 0
, ( ONIG_SYN_CONTEXT_INDEP_ANCHORS |
ONIG_SYN_CONTEXT_INDEP_REPEAT_OPS | ONIG_SYN_CONTEXT_INVALID_REPEAT_OPS |
ONIG_SYN_ALLOW_UNMATCHED_CLOSE_SUBEXP |
ONIG_SYN_ALLOW_DOUBLE_RANGE_OP_IN_CC )
, ( ONIG_OPTION_SINGLELINE | ONIG_OPTION_MULTILINE )
,
{
(OnigCodePoint )'\\'
, (OnigCodePoint )ONIG_INEFFECTIVE_META_CHAR
, (OnigCodePoint )ONIG_INEFFECTIVE_META_CHAR
, (OnigCodePoint )ONIG_INEFFECTIVE_META_CHAR
, (OnigCodePoint )ONIG_INEFFECTIVE_META_CHAR
, (OnigCodePoint )ONIG_INEFFECTIVE_META_CHAR
}
}
ONIG_SYN_OP_LPAREN_SUBEXP
#define ONIG_SYN_OP_LPAREN_SUBEXP
Definition: onigmo.h:531
ONIG_SYN_CONTEXT_INDEP_ANCHORS
#define ONIG_SYN_CONTEXT_INDEP_ANCHORS
Definition: onigmo.h:587
ONIG_SYN_OP_BRACE_INTERVAL
#define ONIG_SYN_OP_BRACE_INTERVAL
Definition: onigmo.h:527
ONIG_SYN_ALLOW_DOUBLE_RANGE_OP_IN_CC
#define ONIG_SYN_ALLOW_DOUBLE_RANGE_OP_IN_CC
Definition: onigmo.h:605
ONIG_SYN_OP_VBAR_ALT
#define ONIG_SYN_OP_VBAR_ALT
Definition: onigmo.h:529
ONIG_SYN_CONTEXT_INVALID_REPEAT_OPS
#define ONIG_SYN_CONTEXT_INVALID_REPEAT_OPS
Definition: onigmo.h:589
ONIG_SYN_ALLOW_UNMATCHED_CLOSE_SUBEXP
#define ONIG_SYN_ALLOW_UNMATCHED_CLOSE_SUBEXP
Definition: onigmo.h:590
ONIG_SYN_CONTEXT_INDEP_REPEAT_OPS
#define ONIG_SYN_CONTEXT_INDEP_REPEAT_OPS
Definition: onigmo.h:588

Definition at line 66 of file regsyntax.c.

## ◆ OnigSyntaxPython

const OnigSyntaxType OnigSyntaxPython

Initial value:
= {
(( SYN_GNU_REGEX_OP | ONIG_SYN_OP_QMARK_NON_GREEDY |
ONIG_SYN_OP_ESC_OCTAL3 | ONIG_SYN_OP_ESC_X_HEX2 |
ONIG_SYN_OP_ESC_X_BRACE_HEX8 | ONIG_SYN_OP_ESC_CONTROL_CHARS |
ONIG_SYN_OP_ESC_C_CONTROL )
& ~ONIG_SYN_OP_ESC_LTGT_WORD_BEGIN_END )
, ( ONIG_SYN_OP2_QMARK_GROUP_EFFECT | ONIG_SYN_OP2_OPTION_PERL |
ONIG_SYN_OP2_ESC_P_BRACE_CHAR_PROPERTY |
ONIG_SYN_OP2_ESC_P_BRACE_CIRCUMFLEX_NOT |
ONIG_SYN_OP2_PLUS_POSSESSIVE_REPEAT |
ONIG_SYN_OP2_ESC_V_VTAB |
ONIG_SYN_OP2_ESC_U_HEX4 |
ONIG_SYN_OP2_QMARK_LPAREN_CONDITION |
ONIG_SYN_OP2_QMARK_CAPITAL_P_NAMED_GROUP )
, ( SYN_GNU_REGEX_BV |
ONIG_SYN_ALLOW_INTERVAL_LOW_ABBREV )
, ( ONIG_OPTION_SINGLELINE | ONIG_OPTION_ASCII_RANGE )
,
{
(OnigCodePoint )'\\'
, (OnigCodePoint )ONIG_INEFFECTIVE_META_CHAR
, (OnigCodePoint )ONIG_INEFFECTIVE_META_CHAR
, (OnigCodePoint )ONIG_INEFFECTIVE_META_CHAR
, (OnigCodePoint )ONIG_INEFFECTIVE_META_CHAR
, (OnigCodePoint )ONIG_INEFFECTIVE_META_CHAR
}
}
ONIG_SYN_OP2_QMARK_CAPITAL_P_NAMED_GROUP
#define ONIG_SYN_OP2_QMARK_CAPITAL_P_NAMED_GROUP
Definition: onigmo.h:582
ONIG_SYN_ALLOW_INTERVAL_LOW_ABBREV
#define ONIG_SYN_ALLOW_INTERVAL_LOW_ABBREV
Definition: onigmo.h:592

Definition at line 265 of file regsyntax.c.